Show billing details
curl --request GET \
--url https://api.creditor.younegotiate.com/account-profile/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/account-profile/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/account-profile/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"is_stored": true
},
"meta": {
"selected_company_membership": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"next_membership_plan_id": 123,
"status": "<string>",
"current_plan_start": "2023-11-07T05:31:56Z",
"current_plan_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"next_membership_plan": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"options": {
"payment_methods": [
{
"value": "<string>",
"label": "<string>"
}
],
"account_types": [
{
"value": "<string>",
"label": "<string>"
}
]
}
}
}{
"message": "<string>"
}Show billing details
Return whether billing details are stored, plus the selected membership plan and billing setup options.
GET
/
account-profile
/
billing
Show billing details
Last modified on July 20, 2026
Was this page helpful?
⌘I

